<?php
session_start();
include 'includes/db.php';

$message = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $email = $_POST['email'];
    $password = $_POST['password'];

    $stmt = $conn->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->bind_param('s', $email);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $user = $result->fetch_assoc();

        if (password_verify($password, $user['password'])) {
            if ($user['is_verified']) {
                $_SESSION['username'] = $user['username'];
                header('Location: index.php');
                exit();
            } else {
                $message = "Please verify your email first.";
            }
        } else {
            $message = "Invalid password.";
        }
    } else {
        $message = "No user found with this email.";
    }

    $stmt->close();
}

$conn->close();
?>
<!doctype html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex items-center justify-center h-screen">
  <div class="bg-white p-6 rounded-lg shadow-lg max-w-lg">
    <?php if ($message): ?>
      <div class="mb-4 p-4 rounded-md bg-red-100 text-red-800 max-w-md">
        <?php echo $message; ?>
      </div>
    <?php endif; ?>
    <form method="post" action="" class="flex flex-col w-full gap-2">
      <label>Email:</label>
      <input class="p-2 rounded-md bg-gray-100 border" type="email" name="email" required><br>
      <label>Password:</label>
      <input class="p-2 rounded-md bg-gray-100 border" type="password" name="password" required><br>
      <button class="px-3 py-2 rounded-md bg-green-500 text-white mt-2" type="submit">Login</button>
    </form>
    <a class="flex justify-center text-blue-500 mt-2 underline" href="register.php">Register</a>
  </div>
</body>
</html>
