<?php
include 'includes/db.php';

$message = '';

if (isset($_GET['code'])) {
    $verification_code = $_GET['code'];
    $stmt = $conn->prepare("SELECT * FROM users WHERE verification_code = ?");
    $stmt->bind_param('s', $verification_code);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $stmt = $conn->prepare("UPDATE users SET is_verified = 1, verification_code = NULL WHERE verification_code = ?");
        $stmt->bind_param('s', $verification_code);
        $stmt->execute();

        $message = "Email verified successfully. You can now <a href='login.php' class='text-blue-500 underline'>Login</a>.";
    } else {
        $message = "Invalid verification code. <a href='register.php' class='text-blue-500 underline'>Back to Register</a>.";
    }

    $stmt->close();
}

$conn->close();
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex items-center justify-center h-screen">
  <div class="bg-white p-6 rounded-lg shadow-lg text-center">
    <?php if ($message): ?>
      <p class="text-lg"><?php echo $message; ?></p>
    <?php else: ?>
      <p class="text-lg text-red-500">No verification code provided.</p>
    <?php endif; ?>
  </div>
</body>
</html>
